# Method: buyers.proposals.sendRfp

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp#try-it)

Sends a request for proposal (RFP) to a publisher to initiate the negotiation regarding certain inventory. In the RFP, buyers can specify the deal type, deal terms, start and end dates, targeting, and a message to the publisher. Once the RFP is sent, a proposal in `SELLER_REVIEW_REQUESTED` state will be created and returned in the response. The publisher may review your request and respond with detailed deals in the proposal.

### HTTP request

`POST https://authorizedbuyersmarketplace.googleapis.com/v1/{buyer=buyers/*}/proposals:sendRfp`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `buyer` | `string` Required. The current buyer who is sending the RFP in the format: `buyers/{accountId}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "displayName": string, "client": string, "publisherProfile": string, "buyerContacts": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Contact`) } ], "note": string, "geoTargeting": { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.CriteriaTargeting`) }, "inventorySizeTargeting": { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.InventorySizeTargeting`) }, "estimatedGrossSpend": { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/Shared.Types/Money`) }, "flightStartTime": string, "flightEndTime": string, // Union field `pricing_terms` can be only one of the following: "programmaticGuaranteedTerms": { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.ProgrammaticGuaranteedTerms`) }, "preferredDealTerms": { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.PreferredDealTerms`) } // End of list of possible types for union field `pricing_terms`. } ``` |

| Fields ||
|---|---|
| `displayName` | `string` Required. The display name of the proposal being created by this RFP. |
| `client` | `string` If the current buyer is sending the RFP on behalf of its client, use this field to specify the name of the client in the format: `buyers/{accountId}/clients/{clientAccountid}`. |
| `publisherProfile` | `string` Required. The profile of the publisher who will receive this RFP in the format: `buyers/{accountId}/publisherProfiles/{publisherProfileId}`. |
| `buyerContacts[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Contact`)`` Contact information for the buyer. |
| `note` | `string` A message that is sent to the publisher. Maximum length is 1024 characters. |
| `geoTargeting` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.CriteriaTargeting`)`` Geo criteria IDs to be targeted. Refer to \[Geo tables\]\[https://storage.googleapis.com/adx-rtb-dictionaries/geo-table.csv\]. |
| `inventorySizeTargeting` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.InventorySizeTargeting`)`` Inventory sizes to be targeted. Only PIXEL inventory size type is supported. |
| `estimatedGrossSpend` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/Shared.Types/Money`)`` Specified by buyers in request for proposal (RFP) to notify publisher the total estimated spend for the proposal. Publishers will receive this information and send back proposed deals accordingly. |
| `flightStartTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. Proposed flight start time of the RFP. A timestamp in RFC3339 UTC "Zulu" format. Note that the specified value will be truncated to a granularity of one second. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `flightEndTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. Proposed flight end time of the RFP. A timestamp in RFC3339 UTC "Zulu" format. Note that the specified value will be truncated to a granularity of one second. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| Union field `pricing_terms`. The negotiable terms of the RFP. `pricing_terms` can be only one of the following: ||
| `programmaticGuaranteedTerms` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.ProgrammaticGuaranteedTerms`)`` The terms for programmatic guaranteed deals. |
| `preferredDealTerms` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals#Deal.PreferredDealTerms`)`` The terms for preferred deals. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`